Summary:       A utility for converting amounts from one unit to another
Name:          units
Version:       2.22
Release:       4%{?dist}
License:       GPLv3+
URL:           https://www.gnu.org/software/units/units.html
Source0:       https://ftp.gnu.org/gnu/units/%{name}-%{version}.tar.gz
BuildRequires: bison gcc make ncurses-devel python3-devel readline-devel

Patch3000:     0001-units-2.22-no-network.patch

%description
This package provides a tool which converts an amount from one unit to another,
or tells you what mathematical operation you need to perform to convert from
one unit to another. The units program can handle multiplicative scale changes
as well as conversions such as Fahrenheit to Celsius.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

%install
%make_install
ln -fsv ../../..%{_sharedstatedir}/units/currency.units %{buildroot}%{_datadir}/units
gzip %{buildroot}%{_infodir}/units.info
ln -s units.1 %{buildroot}%{_mandir}/man1/units_cur.1

%check
%make_build check

%files
%license COPYING
%doc NEWS README
%{_bindir}/units
%{_bindir}/units_cur
%{_datadir}/units
%{_sharedstatedir}/units
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.22-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.22-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.22-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Shuo Wang <abushwang@tencent.com> - 2.22-1
- initial build
